<?xml version="1.0" encoding="Windows-1252"?>
<VisualStudioProject
	ProjectType="Visual C++"
	Version="8.00"
	Name="HTIOP"
	ProjectGUID="{79DE2C9E-FECA-1BAD-0DA2-8A2E1C310431}"
	RootNamespace="HTIOP"
	Keyword="Win32Proj"
	SignManifests="true"
	>
	<Platforms>
		<Platform
			Name="Win32"
		/>
	</Platforms>
	<ToolFiles>
	</ToolFiles>
	<Configurations>
		<Configuration
			Name="Debug|Win32"
			OutputDirectory="..\..\..\lib"
			IntermediateDirectory="Debug\HTIOP_vc8"
			ConfigurationType="2"
			CharacterSet="0"
			>
			<Tool
				Name="VCPreBuildEventTool"
			/>
			<Tool
				Name="VCCustomBuildTool"
			/>
			<Tool
				Name="VCXMLDataGeneratorTool"
			/>
			<Tool
				Name="VCWebServiceProxyGeneratorTool"
			/>
			<Tool
				Name="VCMIDLTool"
				AdditionalOptions=""
				AdditionalIncludeDirectories=""
				TypeLibraryName="$(InputName).tlb"
				HeaderFileName="$(InputName).h"
				InterfaceIdentifierFileName="$(InputName)_i.c"
				ProxyFileName="$(InputName)_p.c"
			/>
			<Tool
				Name="VCCLCompilerTool"
				Optimization="0"
				AdditionalIncludeDirectories="..\..\..,..\..\..\protocols,$(TAO_ROOT),$(TAO_ROOT)\orbsvcs"
				PreprocessorDefinitions="HTIOP_BUILD_DLL;_DEBUG;WIN32;_WINDOWS;_CRT_SECURE_NO_DEPRECATE;_M_IX86"
				MinimalRebuild="false"
				ExceptionHandling="2"
				BasicRuntimeChecks="3"
				RuntimeLibrary="3"
				RuntimeTypeInfo="true"
				WarningLevel="3"
				Detect64BitPortabilityProblems="false"
				DebugInformationFormat="3"
			/>
			<Tool
				Name="VCManagedResourceCompilerTool"
			/>
			<Tool
				Name="VCResourceCompilerTool"
				PreprocessorDefinitions="_DEBUG"
				Culture="1033"
				AdditionalIncludeDirectories="..\..\..,..\..\..\protocols,$(TAO_ROOT),$(TAO_ROOT)\orbsvcs"
			/>
			<Tool
				Name="VCPreLinkEventTool"
			/>
			<Tool
				Name="VCLinkerTool"
				AdditionalDependencies="ACEd.lib ACE_HTBPd.lib TAOd.lib TAO_AnyTypeCoded.lib"
				OutputFile="$(OutDir)\TAO_HTIOPd.dll"
				LinkIncremental="2"
				SuppressStartupBanner="true"
				AdditionalLibraryDirectories=".;..\..\..\lib"
				GenerateDebugInformation="true"
				SubSystem="2"
				ImportLibrary="..\..\..\lib\TAO_HTIOPd.lib"
				TargetMachine="1"
			/>
			<Tool
				Name="VCALinkTool"
			/>
			<Tool
				Name="VCXDCMakeTool"
			/>
			<Tool
				Name="VCBscMakeTool"
			/>
			<Tool
				Name="VCFxCopTool"
			/>
			<Tool
				Name="VCPostBuildEventTool"
			/>
		</Configuration>
		<Configuration
			Name="Release|Win32"
			OutputDirectory="..\..\..\lib"
			IntermediateDirectory="Release\HTIOP_vc8"
			ConfigurationType="2"
			CharacterSet="0"
			>
			<Tool
				Name="VCPreBuildEventTool"
			/>
			<Tool
				Name="VCCustomBuildTool"
			/>
			<Tool
				Name="VCXMLDataGeneratorTool"
			/>
			<Tool
				Name="VCWebServiceProxyGeneratorTool"
			/>
			<Tool
				Name="VCMIDLTool"
				AdditionalOptions=""
				AdditionalIncludeDirectories=""
				TypeLibraryName="$(InputName).tlb"
				HeaderFileName="$(InputName).h"
				InterfaceIdentifierFileName="$(InputName)_i.c"
				ProxyFileName="$(InputName)_p.c"
			/>
			<Tool
				Name="VCCLCompilerTool"
				Optimization="2"
				AdditionalIncludeDirectories="..\..\..,..\..\..\protocols,$(TAO_ROOT),$(TAO_ROOT)\orbsvcs"
				PreprocessorDefinitions="HTIOP_BUILD_DLL;NDEBUG;WIN32;_WINDOWS;_CRT_SECURE_NO_DEPRECATE;_M_IX86"
				ExceptionHandling="2"
				RuntimeLibrary="2"
				RuntimeTypeInfo="true"
				WarningLevel="3"
				Detect64BitPortabilityProblems="false"
			/>
			<Tool
				Name="VCManagedResourceCompilerTool"
			/>
			<Tool
				Name="VCResourceCompilerTool"
				PreprocessorDefinitions="NDEBUG"
				Culture="1033"
				AdditionalIncludeDirectories="..\..\..,..\..\..\protocols,$(TAO_ROOT),$(TAO_ROOT)\orbsvcs"
			/>
			<Tool
				Name="VCPreLinkEventTool"
			/>
			<Tool
				Name="VCLinkerTool"
				AdditionalDependencies="ACE.lib ACE_HTBP.lib TAO.lib TAO_AnyTypeCode.lib"
				OutputFile="$(OutDir)\TAO_HTIOP.dll"
				LinkIncremental="1"
				SuppressStartupBanner="true"
				AdditionalLibraryDirectories=".;..\..\..\lib"
				GenerateDebugInformation="true"
				SubSystem="2"
				OptimizeReferences="2"
				EnableCOMDATFolding="2"
				ImportLibrary="..\..\..\lib\TAO_HTIOP.lib"
				TargetMachine="1"
			/>
			<Tool
				Name="VCALinkTool"
			/>
			<Tool
				Name="VCXDCMakeTool"
			/>
			<Tool
				Name="VCBscMakeTool"
			/>
			<Tool
				Name="VCFxCopTool"
			/>
			<Tool
				Name="VCPostBuildEventTool"
			/>
		</Configuration>
	</Configurations>
	<References>
	</References>
	<Files>
		<Filter
			Name="Source Files"
			Filter="cpp;cxx;cc;C;c">
			<Filter
				Name="HTIOP"
				Filter="">
				<File
					RelativePath="HTIOP\HTIOP_Acceptor.cpp">
				</File>
				<File
					RelativePath="HTIOP\HTIOP_Acceptor_Impl.cpp">
				</File>
				<File
					RelativePath="HTIOP\HTIOP_Completion_Handler.cpp">
				</File>
				<File
					RelativePath="HTIOP\HTIOP_Connection_Handler.cpp">
				</File>
				<File
					RelativePath="HTIOP\HTIOP_Connector.cpp">
				</File>
				<File
					RelativePath="HTIOP\HTIOP_Connector_Impl.cpp">
				</File>
				<File
					RelativePath="HTIOP\HTIOP_Endpoint.cpp">
				</File>
				<File
					RelativePath="HTIOP\htiop_endpointsC.cpp">
				</File>
				<File
					RelativePath="HTIOP\HTIOP_Factory.cpp">
				</File>
				<File
					RelativePath="HTIOP\HTIOP_Profile.cpp">
				</File>
				<File
					RelativePath="HTIOP\HTIOP_Transport.cpp">
				</File>
				<File
					RelativePath="HTIOPC.cpp">
				</File>
			</Filter>
		</Filter>
		<Filter
			Name="Header Files"
			Filter="h;hpp;hxx;hh">
			<Filter
				Name="HTIOP"
				Filter="">
				<File
					RelativePath="HTIOP\HTIOP_Acceptor.h">
				</File>
				<File
					RelativePath="HTIOP\HTIOP_Acceptor_Impl.h">
				</File>
				<File
					RelativePath="HTIOP\HTIOP_Completion_Handler.h">
				</File>
				<File
					RelativePath="HTIOP\HTIOP_Connection_Handler.h">
				</File>
				<File
					RelativePath="HTIOP\HTIOP_Connector.h">
				</File>
				<File
					RelativePath="HTIOP\HTIOP_Connector_Impl.h">
				</File>
				<File
					RelativePath="HTIOP\HTIOP_Endpoint.h">
				</File>
				<File
					RelativePath="HTIOP\htiop_endpointsC.h">
				</File>
				<File
					RelativePath="HTIOP\HTIOP_Factory.h">
				</File>
				<File
					RelativePath="HTIOP\HTIOP_Profile.h">
				</File>
				<File
					RelativePath="HTIOP\HTIOP_Transport.h">
				</File>
				<File
					RelativePath="HTIOPC.h">
				</File>
				<File
					RelativePath="HTIOPS.h">
				</File>
				<File
					RelativePath="HTIOPS_T.h">
				</File>
			</Filter>
		</Filter>
		<Filter
			Name="Idl Files"
			Filter="idl">
			<File
				RelativePath="HTIOP.idl">
				<FileConfiguration
					Name="Debug|Win32"
				>
					<Tool
						Name="VCCustomBuildTool"
						Description="Invoking ..\..\..\bin\tao_idl on HTIOP.idl"
						CommandLine="PATH=%PATH%;..\..\..\lib&#x0D;&#x0A;..\..\..\bin\tao_idl -Ge 1 -Wb,pre_include=ace\pre.h -Wb,post_include=ace\post.h -I$(TAO_ROOT) -I$(TAO_ROOT)/orbsvcs -Wb,versioning_begin=TAO_BEGIN_VERSIONED_NAMESPACE_DECL -Wb,versioning_end=TAO_END_VERSIONED_NAMESPACE_DECL -Wb,export_macro=HTIOP_Export -Wb,export_include=orbsvcs/HTIOP/HTIOP_Export.h &quot;HTIOP.idl&quot;"
						AdditionalDependencies="..\..\..\bin\tao_idl.exe"
						Outputs="HTIOPC.cpp;HTIOPC.h;HTIOPC.inl;HTIOPS.h;HTIOPS.inl;HTIOPS_T.cpp;HTIOPS_T.h;HTIOPS_T.inl"/>
				</FileConfiguration>
				<FileConfiguration
					Name="Release|Win32"
				>
					<Tool
						Name="VCCustomBuildTool"
						Description="Invoking ..\..\..\bin\tao_idl on HTIOP.idl"
						CommandLine="PATH=%PATH%;..\..\..\lib&#x0D;&#x0A;..\..\..\bin\tao_idl -Ge 1 -Wb,pre_include=ace\pre.h -Wb,post_include=ace\post.h -I$(TAO_ROOT) -I$(TAO_ROOT)/orbsvcs -Wb,versioning_begin=TAO_BEGIN_VERSIONED_NAMESPACE_DECL -Wb,versioning_end=TAO_END_VERSIONED_NAMESPACE_DECL -Wb,export_macro=HTIOP_Export -Wb,export_include=orbsvcs/HTIOP/HTIOP_Export.h &quot;HTIOP.idl&quot;"
						AdditionalDependencies="..\..\..\bin\tao_idl.exe"
						Outputs="HTIOPC.cpp;HTIOPC.h;HTIOPC.inl;HTIOPS.h;HTIOPS.inl;HTIOPS_T.cpp;HTIOPS_T.h;HTIOPS_T.inl"/>
				</FileConfiguration>
			</File>
		</Filter>
		<Filter
			Name="Inline Files"
			Filter="i;inl">
			<Filter
				Name="HTIOP"
				Filter="">
				<File
					RelativePath="HTIOP\HTIOP_Acceptor.i">
				</File>
				<File
					RelativePath="HTIOP\HTIOP_Endpoint.i">
				</File>
			</Filter>
				<File
					RelativePath="HTIOPC.inl">
				</File>
				<File
					RelativePath="HTIOPS_T.inl">
				</File>
		</Filter>
		<Filter
			Name="Template Files"
			Filter="">
			<File
				RelativePath="HTIOPS_T.cpp">
				<FileConfiguration
					Name="Debug|Win32"
					ExcludedFromBuild="true">
					<Tool
						Name="VCCLCompilerTool"/>
				</FileConfiguration>
				<FileConfiguration
					Name="Release|Win32"
					ExcludedFromBuild="true">
					<Tool
						Name="VCCLCompilerTool"/>
				</FileConfiguration>
			</File>
		</Filter>
	</Files>
	<Globals>
	</Globals>
</VisualStudioProject>
